欢迎使用全新的 WEEX API 文档。需要查看旧版本?切换到旧版文档
WEEX
WEEX 合伙人 REST API

内容

端点

获取文章列表

获取文章列表。

GET
/api/v3/content/articles/list
https://api-spot.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重1

获取文章列表 › 查询参数

section
​string · required

一次仅支持一个值:wiki、news、learn、questions。

category
​string

分类过滤,最长 64 个字符;用于 news 时与 categoryFilter 互斥。

categoryFilter
​string

排除指定分类,最长 64 个字符;与 category 互斥。

tagName
​string

按关联标签名称过滤。

title
​string

标题模糊搜索,最长 200 个字符。

prioritySort
​boolean

是否按优先级排序,默认 false。

level
​string

Beginner、Intermediate、Advanced;与 excludeLevel 互斥。

excludeLevel
​string

排除一个学习等级;与 level 互斥。

excludeDocumentId
​string

排除指定 documentId,通常用于相关推荐查询。

excludeContentKey
​string

排除 contentKey。

withCount
​boolean

是否返回 total 和 pages,默认 false。

page
​integer

页码,从 1 开始,默认 1。

pageSize
​integer

每页数量,默认 25,最大 200。

populateThumbnail
​boolean

是否返回 thumbnail,默认 false;questions 会忽略该参数。

populateTagLists
​boolean

是否返回 tagLists,默认 false。

populateCoins
​boolean

是否返回 coinsMaps,默认 false。

获取文章列表 › 响应

200

成功响应

total
​integer

总记录数,withCount=false 时为 null。

page
​integer

当前页码。

pageSize
​integer

每页数量。

pages
​integer

总页数,withCount=false 时为 null。

hasNextPage
​boolean

是否存在下一页。

​object[]

文章列表。


按币种获取文章列表

按币种获取文章列表。

GET
/api/v3/content/articles/listByCoin
https://api-spot.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重1

按币种获取文章列表 › 查询参数

section
​string · required

内容板块:wiki、news、learn、questions。

symbol
​string

币种符号,例如 BTC;与 slug 至少传一个。

slug
​string

币种 slug,例如 btc;与 symbol 至少传一个。

startEnableDate
​string

enabledDate 区间起始值(含),支持 Unix 秒或毫秒时间戳;其他板块忽略。

endEnableDate
​string

enabledDate 区间结束值(含),支持 Unix 秒或毫秒时间戳;不传时结果默认不超过当前时间,其他板块忽略。

withCount
​boolean

是否返回总数和总页数,默认 false。

page
​integer

页码,从 1 开始,默认 1。

pageSize
​integer

每页数量,默认 25,最大 200。

populateThumbnail
​boolean

是否返回 thumbnail,默认 false;questions 板块忽略。

populateTagLists
​boolean

是否返回 tagLists,默认 false。

populateCoins
​boolean

是否返回 coinsMaps,默认 false。

按币种获取文章列表 › 响应

200

成功响应

total
​integer

总记录数。withCount=false 时可能为 null。

page
​integer

当前页码。

pageSize
​integer

每页数量。

pages
​integer

总页数。withCount=false 时可能为 null。

hasNextPage
​boolean

是否存在下一页。

​object[]

文章列表,字段定义请参见获取文章列表。


获取文章详情

获取文章详情。

GET
/api/v3/content/articles/detail
https://api-spot.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重1

获取文章详情 › 查询参数

section
​string · required

一次仅支持一个值:wiki、news、learn、questions。

documentId
​string

文档 ID;两个 ID 均传时优先使用该字段。

v4Id
​string

兼容旧版本数据的 ID;与 documentId 至少传一个。

populateThumbnail
​boolean

是否返回 thumbnail,默认 false;questions 会忽略该参数。

populateTagLists
​boolean

是否返回 tagLists,默认 false;news 会忽略该参数。

populateCoins
​boolean

是否返回 coinsMaps,默认 false。

获取文章详情 › 响应

200

成功响应

id
​integer

内容 ID。

documentId
​string

文档 ID。

v4Id
​string | null

兼容旧版本数据的 ID。

section
​string

wiki、news、learn、questions。

title
​string

当前语言标题。

summary
​string

内容摘要,learn 为 null。

contentKey
​string | null

内容标识。

enabled
​boolean

是否启用,learn 为 null。

enabledDate
​integer

启用时间,UTC 毫秒时间戳;learn 为 null。

category
​string

内容分类。

imgCategory
​string

Wiki 图片分类。

link
​string | null

外部来源链接。

sourceSite
​string | null

来源站点。

outerPic
​string | null

外部来源图片。

originalSourceUrl
​string | null

原始来源 URL。

priority
​integer | null

新闻优先级。

date
​integer | null

学院内容日期,UTC 毫秒时间戳。

level
​string | null

Beginner、Intermediate、Advanced。

outerId
​string

外部内容 ID。

outerLocaleId
​integer

外部语言 ID,news 为 null。

sourceLang
​string | null

来源语言,news 为 null。

titleEn
​string

英文标题。

translation
​boolean

翻译标识,news 为 null。

translationStatus
​string

翻译状态,news 为 null。

thumbnail
​object | null

板块不支持、未请求或无缩略图时为 null。

tagLists
​array

未请求时为 null;请求后没有标签时为空数组。

coinsMaps
​array

未请求时为 null;请求后没有币种时为空数组。

publishedAt
​integer

发布时间,UTC 毫秒时间戳。

createdAt
​integer

创建时间,UTC 毫秒时间戳。

updatedAt
​integer

更新时间,UTC 毫秒时间戳。

body
​string

HTML 格式正文;learn 的 content 字段统一映射为 body。

articleUrl
​string

服务端生成的 WEEX 文章返链。

total
​integer

总记录数,withCount=false 时为 null。

page
​integer

当前页码。

pageSize
​integer

每页数量。

pages
​integer

总页数,withCount=false 时为 null。

hasNextPage
​boolean

是否存在下一页。

items
​object[]

文章列表。


获取最新 Banner

获取最新 Banner。

GET
/api/v3/content/banners/latest
https://api-spot.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重1

获取最新 Banner › 查询参数

type
​string · required

Banner 类型:News、Wiki、Learn main、Learn details、News details bottom、learn pop up、learn pop up detail、News details text。

获取最新 Banner › 响应

200

成功响应

id
​integer

Banner ID。

documentId
​string

文档 ID。

title
​string

标题。

description
​string

描述。

cta
​string

CTA 文案。

link
​string

跳转链接。

type
​string

Banner 类型。

​object

Banner 图片信息;无图片时省略该字段。

publishedAt
​integer

发布时间,UTC 毫秒时间戳。

createdAt
​integer

创建时间,UTC 毫秒时间戳。

updatedAt
​integer

更新时间,UTC 毫秒时间戳。